package bighornSheep75;

import org.geotools.referencing.CRS;
import org.opengis.referencing.crs.CoordinateReferenceSystem;
import org.opengis.referencing.operation.MathTransform;


public class GIS {
	
	//public static ShortValueLayer2D  fractalLandscape;
	//public static ShortValueLayer2D lakes;
	//public static ShortValueLayer2D bighorn;
	//public static ShortValueLayer2D bighornMoved;
	//public static ShortValueLayer2D resultsLayer;
	public static ShortValueLayer2D foraging;
	public static ShortValueLayer2D escape;
	public static ShortValueLayer2D river;
	public static ShortValueLayer2D boundries;
	public static ShortValueLayer2D streams;
	public static ShortValueLayer2D lakes;
	public static ShortValueLayer2D resultsLayer;
	public static ShortValueLayer2D roads;
	public static ShortValueLayer2D elevation;
	public static ShortValueLayer2D slope;
	public static ShortValueLayer2D crownCover;
	public static ShortValueLayer2D sheep;
	private static CoordinateReferenceSystem sourceCRS; 
	private static CoordinateReferenceSystem targetCRS; 
	private static MathTransform transform;
	
	public static void setup() {
		try {
			river = new ShortValueLayer2D("river", CST.river);
			lakes = new ShortValueLayer2D("lakes", CST.lakes);
			resultsLayer = new ShortValueLayer2D("results", CST.resultsLayer);
			boundries = new ShortValueLayer2D("boundries", CST.boundries);
			sheep = new ShortValueLayer2D("sheep", CST.sheep);
			slope = new ShortValueLayer2D("slope", CST.slope);
			crownCover = new ShortValueLayer2D("crownCover", CST.crownCover);
			roads = new ShortValueLayer2D("roads", CST.roads);
	}
		catch(Exception e) {
			System.out.println(e.toString());
			System.exit(1);
			
		
	}	
		
		try{
			sourceCRS = CRS.decode("EPSG:2960");
			targetCRS = CRS.decode("EPSG:4326");
			transform = CRS.findMathTransform(sourceCRS, targetCRS, true);
		}
		catch(Exception e){
			System.out.println(e.toString());
			System.exit(1);;
		}
	}

}
